### Signal

# Devhelp Sidebar::link-selected

#### Declaration

    void
    link_selected (
      DhSidebar* self,
      DhLink* link,
      gpointer user_data
    )

#### Description [src]

The ::link-selected signal is emitted when: 1. One row in one of the `GtkTreeView`‘s is selected and contains a `DhLink` (i.e. when the row is not a language group); 2. Or if there is an exact match returned by `dh_keyword_model_filter()` when a search occurs.

Note that `dh_sidebar_get_selected_link()` takes into account only the former, not the latter. So the last `link` emitted with this signal is not necessarily the same as the current return value of dh_sidebar_get_selected_link().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`link`

  Type: `DhLink`

  The selected `DhLink`.

  The data is owned by the caller of the function.